%define python_sitelib %(python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%define debug_package %{nil}
%define	py_setup	setup.py

%global	with_python2 0

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Summary:	artifacts - knowledge base of forensic artifacts
Packager:	Lawrence R. Rogers (lrr@cert.org)
Vendor:		cert.org
Name:		artifacts
%if 0%{?centos}0%{?amzn} == 70
Version:	20220615
%else
Version:	20230723
%endif
Release:	1%{?dist}
License:	BSD
Group:		Applications
Source:		%{name}-%{version}.tar.gz
URL:		https://pypi.python.org/pypi/artifacts
BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}

%description
Artifacts is a free, community-sourced, machine-readable knowledge base of forensic artifacts that
the world can use both as an information source and within other tools.

%package -n %{name}-data
Summary: Data files for Summary: ForensicArtifacts.com Artifact Repository.

%description -n %{name}-data
A free, community-sourced, machine-readable knowledge base of forensic artifacts that the world can use both as an information source and within other tools.

%if 0%{?with_python2}
%package -n python2-%{name}
BuildRequires: python2-devel
Requires: %{name}-data
%if 0%{?fedora} <= 27
Requires:       PyYAML >= 3.10
Requires:       %{name}-data
%endif
%if 0%{?fedora} >= 28
Requires:       python2-pyyaml >= 3.10
%endif
Summary: ForensicArtifacts.com Artifact Repository.
Obsoletes: %{name} <= %{version}
Provides: %{name} = %{version}
Provides: python-%{name} = %{version}

%description -n python2-%{name}
A free, community-sourced, machine-readable knowledge base of forensic artifacts that the world can use both as an information source and within other tools.
%endif

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{name}
Summary: ForensicArtifacts.com Artifact Repository.
%if 0%{?fedora} <= 27
Requires:       python%{python3_pkgversion}-PyYAML >= 3.10
%endif
%if 0%{?fedora} >= 28
Requires:       python%{python3_pkgversion}-pyyaml >= 3.10
%endif
Requires:       %{name}-data
%if 0%{?centos} == 8
BuildRequires: python38
BuildRequires: python38-devel
BuildRequires: python38-setuptools
%else
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
%endif
%if ! 0%{?with_python2}
Obsoletes:	python2-%{name} <= %{version}
%endif

%description -n python%{python3_pkgversion}-%{name}
A free, community-sourced, machine-readable knowledge base of forensic artifacts that the world can use both as an information source and within other tools.
%endif

%prep
%setup 

%build
%if 0%{?with_python2}
%py2_build
%endif
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python2}
%py2_install
%endif
%if 0%{?with_python3}
%py3_install
%endif
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
%{__rm} -rf %{buildroot}

%files -n %{name}-data
%defattr(644,root,root,755)
%license LICENSE
%doc ACKNOWLEDGEMENTS AUTHORS README
%{_datadir}/%{name}/*

%if 0%{?with_python2}
%files -n python2-%{name}
%license LICENSE
%doc README
%{python2_sitelib}/artifacts
%{python2_sitelib}/artifacts*.egg-info
%endif

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/artifacts
%{python3_sitelib}/artifacts*.egg-info
%endif

%exclude %{_bindir}/*

%changelog
%if 0%{?centos}0%{?amzn} != 70
* Sun Jul 23 2023 Lawrence R. Rogers <lrr@cert.org> 20230723-1
* Release 20230723-1
	Version as of 20230723.

* Thu Apr 13 2023 Lawrence R. Rogers <lrr@cert.org> 20230413-1
* Release 20230413-1
	Version for 20230413.

* Mon Dec 19 2022 Lawrence R. Rogers <lrr@cert.org> 20221219-1
* Release 20221219-1
	Version for 20221219.

%endif
* Wed Jun 15 2022 Lawrence R. Rogers <lrr@cert.org> 20220615-1
* Release 20220615-1
	Version for 20220615.

* Wed Jun  8 2022 Lawrence R. Rogers <lrr@cert.org> 20220608-1
* Release 20220608-1
	Version for 20220608.

* Fri Apr 29 2022 Lawrence R. Rogers <lrr@cert.org> 20220429-1
* Release 20220429-1
	Version for 20220429.

* Sat Feb 19 2022 Lawrence R. Rogers <lrr@cert.org> 20220219-1
* Release 20220219-1
	Version for 20220219.

* Sun Dec  5 2021 Lawrence R. Rogers <lrr@cert.org> 20211205-1
* Release 20211205-1
	Version for 20211205.

* Sun Nov  7 2021 Lawrence R. Rogers <lrr@cert.org> 20211107-1
* Release 20211107-1
	Version for 20211107.

* Tue Oct 12 2021 Lawrence R. Rogers <lrr@cert.org> 20211012-1
* Release 20211012-1
	Version for 20211012.

* Sun Oct  3 2021 Lawrence R. Rogers <lrr@cert.org> 20211003-1
* Release 20211003-1
	Version for 20211003.

* Sun Jun 20 2021 Lawrence R. Rogers <lrr@cert.org> 20210620-1
* Release 20210620-1
	Version for 20210620.

* Sun Apr  4 2021 Lawrence R. Rogers <lrr@cert.org> 20210404-1
* Release 20210404-1
	Version for 20210404.

* Fri Nov  6 2020 Lawrence R. Rogers <lrr@cert.org> 20201106-1
* Release 20201106-1
	Version for 20201106.

* Fri May 15 2020 Lawrence R. Rogers <lrr@cert.org> 20200515-1
* Release 20200515-1
	Version for 20200515.

* Tue Feb  4 2020 Lawrence R. Rogers <lrr@cert.org> 20200118-2
* Release 20200118-2
	Python 3 package now obsoletes Python 2 package.

* Sat Jan 18 2020 Lawrence R. Rogers <lrr@cert.org> 20200118-1
* Release 20200118-1
	Version 2020-01-18
	Python 2 is now optional and not built by default.

* Sun May 19 2019 Lawrence R. Rogers <lrr@cert.org> 20190320-2
* Release 20190320-2
	Version 20190320-2: Uses python3_pkgversion for the current version of Python 3.

* Wed Mar 20 2019 Lawrence R. Rogers <lrr@cert.org> 20190320-1
* Release 20190320
	Release from 2019-03-20.

* Wed Feb 27 2019 Lawrence R. Rogers <lrr@cert.org> 20190227-1
* Release 20190227
	Release from 2019-02-27.

* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 20190113-2
* Release 20190113-2
        Version as of 20190113
	python- package renamed to python2-
	python3 version added

* Sun Jan 13 2019 Lawrence R. Rogers <lrr@cert.org> 20190113-1
* Release 201901131
	Release from 2019-01-13.

* Thu Dec 13 2018 Lawrence R. Rogers <lrr@cert.org> 20181213-1
* Release 20181213-1
	Release from 2018-12-13.

* Mon Aug 27 2018 Lawrence R. Rogers <lrr@cert.org> 20180827-1
* Release 20180628-1
	Release from 2018-08-27.

* Thu Jun 28 2018 Lawrence R. Rogers <lrr@cert.org> 20180628-1
* Release 20180628-1
	Release from 2018-06-28.

* Sat May  5 2018 Lawrence R. Rogers <lrr@cert.org> 20180505-1
* Release 20180505-1
	Release from 2018-05-05.

* Mon Jan 15 2018 Lawrence R. Rogers <lrr@cert.org> 20180115-1
* Release 20180115-1
	Release from 2018-01-15.

* Tue Nov  7 2017 Lawrence R. Rogers <lrr@cert.org> 20171107-1
* Release 20171107-1
	Release from 2017-11-07.

* Thu Jul 27 2017 Lawrence R. Rogers <lrr@cert.org> 20170727-1
* Release 20170727-1
	Release from 2017-07-27.

* Sat Oct 22 2016 Lawrence R. Rogers <lrr@cert.org> 20161022-1
* Release 20161022-1
	Release from 2016-10-22.

* Thu Apr  9 2015 Lawrence R. Rogers <lrr@cert.org> 20150409-1
* Release 20150409-1
	Initial release. 
